Issue 10847 - Exception no serializer registered for ...
Summary: Exception no serializer registered for ...
Status: ACCEPTED
Alias: None
Product: udk
Classification: Code
Component: code (show other issues)
Version: 643C
Hardware: PC All
: P3 Trivial (vote)
Target Milestone: AOO PleaseHelp
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2003-01-22 13:03 UTC by jtiee
Modified: 2017-05-20 11:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description jtiee 2003-01-22 13:03:29 UTC
----Exception:
non-UNO exception occurred: serialization error: no serializer is registered for (null, {http://www.capeclear.com/GlobalWeather.xsd}DirectionCompass)

This exception occured if one is executing the following programm:

--- Example StarBasic program:
	targetns= "http://www.capeclear.com/GlobalWeather.wsdl"
	weatherWsdl = "http://live.capescience.com/wsdl/GlobalWeather.wsdl"

	smgr = getProcessServiceManager()
	'msgbox smgr.dbg_supportedinterfaces
	
	proxyFac = smgr.createInstanceWithArguments("com.sun.star.webservices.proxy.ProxyFactory" ,Array(weatherWsdl))
	proxy = proxyFac.getProxy(targetNS, "GlobalWeather", targetNS, "GlobalWeather")
	
	msgbox proxy.getWeatherReport("HAM")
--- End Example 

May be there have to be serializer and deserialize generated for enumeration types.
Comment 1 jtiee 2003-01-22 13:12:45 UTC
Sorry, I forgot to state that this issue concerns the UNO Web service
proxy.
Project: udk/soap/proxy.
Comment 2 jtiee 2003-01-22 13:15:20 UTC
I accept the -selfwritten- issue.
Comment 3 jtiee 2003-01-22 13:21:51 UTC
I accepted the issue. 
Comment 4 kai.sommerfeld 2003-01-22 13:35:29 UTC
Try to confirm on behalf of Jan.
Comment 5 jtiee 2003-02-17 09:05:00 UTC
Accepted, but I can't solve it right now.
Comment 6 thorsten.ziehm 2004-11-23 09:23:53 UTC
Nothing has changed since months. I retarget this task to 'OOo later'. If
somebody can be found, who can fix it in the next few weeks. Perhaps then we can
get it integrated it into OOo 2.0.
Comment 7 kai.sommerfeld 2004-11-23 14:56:55 UTC
It seems that Jan is no longer actively contributing to OOo. I'll see waht I can
do about this issue.
Comment 8 kai.sommerfeld 2004-11-23 14:59:45 UTC
accepted.
Comment 9 christianjunker 2005-07-23 12:19:24 UTC
What the hack is "com.sun.star.webservices.proxy.ProxyFactory", I cannot find it
in the sources (neither HEAD nor mws_src645).
Can this be closed?
Comment 10 kai.sommerfeld 2005-07-25 07:54:23 UTC
No, it should stay open. The type in question belongs to a UNO component which
is currently not part of OOo (but this might change). See
http://udk.openoffice.org/java/examples/wsproxy/component_description.html for
details.
Comment 11 Marcus 2017-05-20 11:29:50 UTC
Reset assigne to the default "issues@openoffice.apache.org".